{% extends "layouts/base.html" %}
{% block pageContent %}
<!-- Material form login -->
<div class="h-100 d-flex justify-content-center align-items-center">
	<div class="card w-50">
		<h5 class="card-header info-color white-text text-center py-4">
			<strong>Sign in</strong>
		</h5>

		<!--Card content-->
		<div class="card-body px-lg-5 pt-0">
			<!-- Form -->
			<form class="needs-validation" novalidate id="form" 
				action="/auth/api/login" method="POST">

				<!-- Email -->
				<div class="form-row md-form">
					<label for="form-username">Username</label>
					<input type="text" id="form-username" class="form-control" name="name" pattern="[A-Za-z0-9]{3,}" required>
					<div   class="invalid-feedback">Username must be fulfilled [A-Z0-9]{3,}</div>
					<div   class="valid-feedback">Correct Leh</div>
				</div>
		
				<!-- Password -->
				<div class="form-row md-form">
					<label for="form-password">Password</label>
					<input type="password" id="form-password" class="form-control" name="password" pattern="[A-Za-z0-9!@#$%^&*]{8,10}" required>
					<div   class="invalid-feedback">Password must be at least 8 characters and fulfills [A-Za-z0-9!@#$%^&*]</div>
				</div>

				<div class="form-row">
					<!-- Forgot password -->
					<a href="/auth/reset">Forgot password?</a>
				</div>

				<div class="form-row">
					<!-- Sign in button -->
					<button class="btn btn-primary btn-rounded btn-block my-4 waves-effect z-depth-0" type="submit">Sign in</button>
				</div>
				<!-- Register -->
				<div class="form-row">
					<p>
						<span>Not a member?</span>
						<a href="/auth/register">Register</a>
					</p>
				</div>
			</form>
			<!-- Form -->
		</div>
	</div>
	<!-- Material form login -->
</div>
{% endblock pageContent %}